# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Class JXG.SVGRenderer

JXG.AbstractRenderer
↳ JXG.SVGRenderer

JXG.AbstractRenderer
Defined in: SVGRenderer.js.
Extends JXG.AbstractRenderer.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.SVGRenderer(container) Uses SVG to implement the rendering methods defined in JXG.AbstractRenderer.

Fields borrowed from class JXG.AbstractRenderer:
  container, enhancedRendering, type, vOffsetText

Field Summary
Field Attributes | Field Name and Description
--- | ---
| dashArray Defines dash patterns.
| defs The `defs` element is a container element to reference reusable SVG elements.
| filter Filters are used to apply shadows.
| layer JSXGraph uses a layer system to sort the elements on the board.
| svgNamespace The SVG Namespace used in JSXGraph.
<private> | svgRoot SVG root node
| xlinkNamespace The xlink namespace.

Fields borrowed from class JXG.AbstractRenderer:
  container, enhancedRendering, type, vOffsetText

Method Summary
Method Attributes | Method Name and Description
--- | ---
<private> | _createArrowHead(element, idAppendix) Creates an arrow DOM node.
<private> | _setArrowAtts(node, color, opacity) Updates an arrow DOM node.

Methods borrowed from class JXG.AbstractRenderer:
  _updateVisual, appendChildPrim, appendNodesToElement, changePointStyle, createPrim, displayCopyright, drawCurve, drawEllipse, drawImage, drawInternalText, drawLine, drawPoint, drawPolygon, drawText, drawTicks, drawZoomBar, getElementById, hide, highlight, joinTransforms, makeArrows, noHighlight, remove, removeDraft, resize, setBuffering, setDashStyle, setDraft, setGradient, setObjectFillColor, setObjectStrokeColor, setObjectStrokeWidth, setPropertyPrim, setShadow, show, suspendRedraw, transformImage, unsuspendRedraw, updateCurve, updateEllipse, updateEllipsePrim, updateGradient, updateImage, updateImageURL, updateInternalText, updateLine, updateLinePrim, updatePathPrim, updatePathStringBezierPrim, updatePathStringPoint, updatePathStringPrim, updatePoint, updatePolygon, updatePolygonPrim, updateRectPrim, updateText, updateTextStyle, updateTicks

Class Detail
JXG.SVGRenderer(container)
Uses SVG to implement the rendering methods defined in JXG.AbstractRenderer.

Parameters:
{Node} container
  Reference to a DOM node containing the board.

See:
  JXG.AbstractRenderer

Field Detail
{Array} dashArray
Defines dash patterns. Defined styles are:

1. 2px dash, 2px space
2. 5px dash, 5px space
3. 10px dash, 10px space
4. 20px dash, 20px space
5. 20px dash, 10px space, 10px dash, 10px dash
6. 20px dash, 5px space, 10px dash, 5px space

See:
  http://www.w3.org/TR/SVG/painting.html#StrokeProperties

Default Value:
  ['2, 2', '5, 5', '10, 10', '20, 20', '20, 10, 10, 10', '20, 5, 10, 5']

{Node} defs
The `defs` element is a container element to reference reusable SVG elements.

See:
  http://www.w3.org/TR/SVG/struct.html#DefsElement

{Node} filter
Filters are used to apply shadows.

See:
  http://www.w3.org/TR/SVG/filters.html#FilterElement

{Array} layer
JSXGraph uses a layer system to sort the elements on the board. This puts certain types of elements in front of other types of elements. For the order used see JXG.Options.layer. The number of layers is documented there, too. The higher the number, the "more on top" are the elements on this layer.

{String} svgNamespace
The SVG Namespace used in JSXGraph.

See:
  http://www.w3.org/TR/SVG/

Default Value:
  http://www.w3.org/2000/svg

<private> {Node} svgRoot
SVG root node

{String} xlinkNamespace
The xlink namespace. This is used for images.

See:
  http://www.w3.org/TR/xlink/

Default Value:
  http://www.w3.org/1999/xlink

Method Detail
<private> {Node} _createArrowHead(element, idAppendix)
Creates an arrow DOM node. Arrows are displayed in SVG with a marker tag.

Parameters:
{JXG.GeometryElement} element
  A JSXGraph element, preferably one that can have an arrow attached.
{String} idAppendix Optional, Default: ''
  A string that is added to the node's id.

Returns:
  {Node} Reference to the node added to the DOM.

<private> _setArrowAtts(node, color, opacity)
Updates an arrow DOM node.

Parameters:
{Node} node
  The arrow node.
{String} color
  Color value in a HTML compatible format, e.g. `#00ff00` or `green` for green.
{Number} opacity

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:09 GMT+0200 (MESZ)